curl --request PATCH \
--url https://api.chift.eu/consumers/{consumer_id}/accounting/analytic-accounts/{analytic_account_id}/multi-analytic-plans/{analytic_plan} \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"code": "<string>",
"name": "<string>",
"currency": "<string>"
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/accounting/analytic-accounts/{analytic_account_id}/multi-analytic-plans/{analytic_plan}"
payload = {
"active": True,
"code": "<string>",
"name": "<string>",
"currency": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({active: true, code: '<string>', name: '<string>', currency: '<string>'})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/analytic-accounts/{analytic_account_id}/multi-analytic-plans/{analytic_plan}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"active": true,
"name": "<string>",
"analytic_plan": "<string>",
"code": "<string>",
"currency": "<string>",
"balance": 0,
"credit": 0,
"debit": 0
}Update analytic account (Multiple Analytic Plans)
Update one specific analytic account in a specific analytic plan
Path Parameters
Query Parameters
Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.
Body
Flag indicating whether the analytic account is active.
Short code for the analytic account. Often used for internal referencing. May be required to be unique
Name or label of the analytic account as it appears in the accounting system.
Indicates the currency of the analytic account (e.g., EUR, USD).
Response
Successful Response
Unique id of the analytic account in the accounting system.
Flag indicating whether the analytic account is active.
Name or label of the analytic account as it appears in the accounting system.
Short code for the analytic account. Often used for internal referencing. For some integrations, it may be required to be unique.
Indicates the currency of the analytic account (e.g., EUR, USD).